Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Interface MouseTransform

All Known Implementing Classes:
  AbstractMouseTransform, AbstractMouseTransformFactory.HelpMessageMouseTransform, AbstractMouseTransformFactory.InvalidMouseTransform, AbstractMouseTransformFactory.SelectAreaTransform, EditElementMouseTransformFactory.MoveControlPointTransform, EditElementMouseTransformFactory.MoveElementTransform, EditElementMouseTransformFactory.UnselectTransform, EditPointMouseTransformFactory.EditSmoothCoeffTransform, EditPointMouseTransformFactory.RemovePointTransform, EditPointMouseTransformFactory.SelectElementTransform, EditPointMouseTransformFactory.SplitSegmentTransform, EditPointMouseTransformFactory.UnSelectPointTransform

public interface MouseTransform

an interface that specifies behaviours shared by mouse-driven object-editing actions, especially when driven by `SelectionTool`. Sequence order is : mouse-press : start() mouse-dragged : process() mouse-released : next() ? no => end() mouse-moved : process() mouse-pressed : next() ? no => end() etc...

Since:
  jpicedt 1.3.2

Method Summary
`Cursor` | `getCursor()` Return the cursor for this MouseTransform
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called when the left mouse-button changes state.
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Allows the MouseTransform to do specific graphic rendering when it's operating.
`void` | `process(PEMouseEvent e)` Called when the mouse is dragged/moved after the first mouse-pressed event.
`void` | `start(PEMouseEvent e)` Called when the mouse is pressed.

Method Detail

### start

    public void start(PEMouseEvent e)

  Called when the mouse is pressed. The transform should do the initialization work here.

  Since:
    jpicedt 1.3.2

### process

    public void process(PEMouseEvent e)

  Called when the mouse is dragged/moved after the first mouse-pressed event. Element geometry update should occur here.

  Since:
    jpicedt 1.3.2

### next

    public boolean next(PEMouseEvent e)

  Called when the left mouse-button changes state.

  Returns:
    true if there's another task in the sequence, false if mouse-transform has completed with this mouse-event.

### getCursor

    public Cursor getCursor()

  Return the cursor for this MouseTransform

  Since:
    jpicedt 1.3.2

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Allows the MouseTransform to do specific graphic rendering when it's operating.

  Since:
    jpicedt 1.3.2

### getHelpMessage

    public String getHelpMessage()

  Return a help-message for the UI, that makes sense with this transform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org